
From: Hugh Dickins <hugh@veritas.com>

Delete unused SWAP_ERROR and non-existent page_over_rsslimit().



 25-akpm/include/linux/swap.h |    2 --
 25-akpm/mm/rmap.c            |    4 ----
 25-akpm/mm/vmscan.c          |    1 -
 3 files changed, 7 deletions(-)

diff -puN include/linux/swap.h~hugh-01-no-SWAP_ERROR include/linux/swap.h
--- 25/include/linux/swap.h~hugh-01-no-SWAP_ERROR	Tue Mar 25 18:34:41 2003
+++ 25-akpm/include/linux/swap.h	Tue Mar 25 18:34:41 2003
@@ -177,13 +177,11 @@ struct pte_chain *FASTCALL(page_add_rmap
 					struct pte_chain *));
 void FASTCALL(page_remove_rmap(struct page *, pte_t *));
 int FASTCALL(try_to_unmap(struct page *));
-int FASTCALL(page_over_rsslimit(struct page *));
 
 /* return values of try_to_unmap */
 #define	SWAP_SUCCESS	0
 #define	SWAP_AGAIN	1
 #define	SWAP_FAIL	2
-#define	SWAP_ERROR	3
 
 /* linux/mm/shmem.c */
 extern int shmem_unuse(swp_entry_t entry, struct page *page);
diff -puN mm/rmap.c~hugh-01-no-SWAP_ERROR mm/rmap.c
--- 25/mm/rmap.c~hugh-01-no-SWAP_ERROR	Tue Mar 25 18:34:41 2003
+++ 25-akpm/mm/rmap.c	Tue Mar 25 18:34:41 2003
@@ -678,7 +678,6 @@ out_unlock:
  * SWAP_SUCCESS	- we succeeded in removing all mappings
  * SWAP_AGAIN	- we missed a trylock, try again later
  * SWAP_FAIL	- the page is unswappable
- * SWAP_ERROR	- an error occurred
  */
 int try_to_unmap(struct page * page)
 {
@@ -755,9 +754,6 @@ int try_to_unmap(struct page * page)
 			case SWAP_FAIL:
 				ret = SWAP_FAIL;
 				goto out;
-			case SWAP_ERROR:
-				ret = SWAP_ERROR;
-				goto out;
 			}
 		}
 	}
diff -puN mm/vmscan.c~hugh-01-no-SWAP_ERROR mm/vmscan.c
--- 25/mm/vmscan.c~hugh-01-no-SWAP_ERROR	Tue Mar 25 18:34:41 2003
+++ 25-akpm/mm/vmscan.c	Tue Mar 25 18:34:41 2003
@@ -284,7 +284,6 @@ shrink_list(struct list_head *page_list,
 		 */
 		if (page_mapped(page) && mapping) {
 			switch (try_to_unmap(page)) {
-			case SWAP_ERROR:
 			case SWAP_FAIL:
 				pte_chain_unlock(page);
 				goto activate_locked;

_
